﻿using System;
using System.Collections.Generic;

namespace ComboBinding
{
    public class MainViewModel : ViewModelBase
    {
        public MainViewModel()
        {
            Users = new List<User>
            {
                new User { UserID = 1, UserName = "user 1" },
                new User { UserID = 2, UserName = "user 2" },
                new User { UserID = 3, UserName = "user 3" },
                new User { UserID = 4, UserName = "user 4" },
                new User { UserID = 5, UserName = "user 5" },
            };

            DataRows = new TimeBookingRows
            {
                new TimeBooking { BookingID = 1, BookingDate = DateTime.Now, UserID = 1, },
                new TimeBooking { BookingID = 2, BookingDate = DateTime.Now.AddDays(10), UserID = 4, },
                new TimeBooking { BookingID = 3, BookingDate = DateTime.Now.AddDays(16), UserID = 3, },
                new TimeBooking { BookingID = 3, BookingDate = DateTime.Now.AddDays(16), UserID = 7, Notes = "Here the user details are missing in the comboboxes row sources." },
                new TimeBooking { BookingID = 3, BookingDate = DateTime.Now.AddDays(16), UserID = 2, },
            };
        }


        private TimeBookingRows dataRows;

        public TimeBookingRows DataRows
        {
            get { return dataRows; }
            set { dataRows = value; OnPropertyChanged("DataRows"); }
        }

        private List<User> users;

        public List<User> Users
        {
            get { return users; }
            set { users = value; OnPropertyChanged("Users"); }
        }

    }
}